/*
 * OSD Picture in Picture plugin for the Video Disk Recorder
 *
 * Copyright (C) 2004 - 2008 Andreas Regel <andreas.regel@powarman.de>
 * Copyright (C) 2004        Sascha Volkenandt <sascha@akv-soft.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#if (APIVERSNUM < 10507)

#include "i18n.h"

const tI18nPhrase Phrases[] = {
    {   "OSD Picture-in-Picture", // English
        "OSD Bild-in-Bild", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "OSD-PIP Incrustation d'image dans l'image", // Franais
        "", // Norsk
        "Kuva kuvassa -toiminto (OSD)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Picture-in-Picture", // English
        "Bild-in-Bild", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Incrustation d'image", // Franais
        "", // Norsk
        "Kuva kuvassa", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Crop left", // English
        "Links abschneiden", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couper a gauche", // Franais
        "", // Norsk
        "Leikkaa vasemmalta", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Crop right", // English
        "Rechts abschneiden", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couper a droite", // Franais
        "", // Norsk
        "Leikkaa oikealta", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Crop at top", // English
        "Oben abschneiden", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couper la partie haute", // Franais
        "", // Norsk
        "Leikkaa ylhlt", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Crop at bottom", // English
        "Unten abschneiden", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couper la partie basse", // Franais
        "", // Norsk
        "Leikkaa alhaalta", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Color depth", // English
        "Farbtiefe", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Nobre de couleur pour l'image", // Franais
        "", // Norsk
        "Vrisyvyys", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Size", // English
        "Gre", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Taille", // Franais
        "", // Norsk
        "Koko", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Frames to display", // English
        "Darzustellende Bilder", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Sequence a afficher", // Franais
        "", // Norsk
        "Nyt kehykset", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Drop frames", // English
        "Einzelbilder auslassen", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Sauter des sequences", // Franais
        "", // Norsk
        "Hylk kehyksi", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Swap FFMPEG output", // English
        "FFMPEG Ausgabe umdrehen", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Changer la sortie de FFMPEG", // Franais
        "", // Norsk
        "Invertoi FFMPEG-kuva", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Show info window", // English
        "Info-Fenster anzeigen", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Montrer les informations de la fenetre", // Franais
        "", // Norsk
        "Nyt kanavatieto", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Info window width", // English
        "Breite Info-Fenster", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Information sur la taille de la fenetre", // Franais
        "", // Norsk
        "Kanavatiedon leveys", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Info window position", // English
        "Position Info-Fenster", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Information sur la position de la fenetre", // Franais
        "", // Norsk
        "Kanavatiedon sijainti", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "top left", // English
        "oben links", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "En haut a gauche", // Franais
        "", // Norsk
        "vasen ylreuna", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "top right", // English
        "oben rechts", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "En haut a droite", // Franais
        "", // Norsk
        "oikea ylreuna", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "bottom left", // English
        "unten links", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "En bas a gauche", // Franais
        "", // Norsk
        "vasen alareuna", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "bottom right", // English
        "unten rechts", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "En bas a droite", // Franais
        "", // Norsk
        "oikea alareuna", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Greyscale (16)", // English
        "16 Graustufen", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Niveau de gris (16)", // Franais
        "", // Norsk
        "harmaasvy (16)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Greyscale (256)", // English
        "256 Graustufen", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Niveau de gris (256)", // Franais
        "", // Norsk
        "harmaasvy (256)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Color (256, fixed)", // English
        "256 Farben (fest)", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couleur (256 fixe)", // Franais
        "", // Norsk
        "vri (256)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Color (128, variable)", // English
        "128 Farben (variabel)", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Couleur (128 variable)", // Franais
        "", // Norsk
        "vri (128, vaihtuva)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Color (256, dithered)", // English
        "256 Farben (dithered)", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "", // Franais
        "", // Norsk
        "vri (256)", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "X Position", // English
        "X-Position", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "X Position", // Franais
        "", // Norsk
        "Vaakasijainti", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Y Position", // English
        "Y-Position", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Y Position", // Franais
        "", // Norsk
        "Pystysijainti", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "automatic", // English
        "automatisch", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Automatique", // Franais
        "", // Norsk
        "automaattisesti", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "none", // English
        "keine", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Aucun", // Franais
        "", // Norsk
        "ei", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "1 frame", // English
        "1 Frame", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Sequence 1", // Franais
        "", // Norsk
        "1 kehys", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "2 frames", // English
        "2 Frames", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Sequence 2", // Franais
        "", // Norsk
        "2 kehyst", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "channel only", // English
        "nur Kanal", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Seulement la chaine", // Franais
        "", // Norsk
        "kanava", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "simple", // English
        "einfach", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Simple", // Franais
        "", // Norsk
        "lyhyt", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "complete", // English
        "komplett", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Complet", // Franais
        "", // Norsk
        "pitk", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Normal mode", // English
        "Normaler Modus", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Mode normale", // Franais
        "", // Norsk
        "Normaalitoiminto", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Move mode", // English
        "Bewegungsmodus", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "Mode mouvement", // Franais
        "", // Norsk
        "Siirtotoiminto", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    {   "Zapping mode", // English
        "Umschaltmodus", // Deutsch
        "", // Slovenski
        "", // Italiano
        "", // Nederlands
        "", // Portugus
        "", // Franais
        "", // Norsk
        "", // Suomi
        "", // Polski
        "", // Espaol
        "", // Ellinika
        "", // Svenska
        "", // Romaneste
        "", // Magyar
        "", // Catala
        "", // Russian
        "", // Croatian
    },
    { NULL }
};

#endif

